Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swt.events
Class MouseEvent

    java.lang.Object
      java.util.EventObject
          org.eclipse.swt.internal.SWTEventObject
              org.eclipse.swt.events.TypedEvent
                  org.eclipse.swt.events.MouseEvent

All Implemented Interfaces:
  Serializable

public final class MouseEvent
extends TypedEvent

Instances of this class are sent whenever mouse related actions occur. This includes mouse buttons being pressed and released, the mouse pointer being moved and the mouse pointer crossing widget boundaries.

Note: The `button` field is an integer that represents the mouse button number. This is not the same as the `SWT` mask constants `BUTTONx`.

See Also:
  `MouseListener`, `MouseMoveListener`, `MouseTrackListener`, Serialized Form

Field Summary
`int` | `button` the button that was pressed or released; 1 for the first button, 2 for the second button, and 3 for the third button, etc.
`int` | `stateMask` the state of the keyboard modifier keys at the time the event was generated
`int` | `x` the widget-relative, x coordinate of the pointer at the time the mouse button was pressed or released
`int` | `y` the widget-relative, y coordinate of the pointer at the time the mouse button was pressed or released

Fields inherited from class org.eclipse.swt.events.TypedEvent
`data, display, time, widget`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`MouseEvent(Event e)` Constructs a new instance of this class based on the information in the given untyped event.

Method Summary
`String` | `toString()` Returns a string containing a concise, human-readable description of the receiver.

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### button

    public int button

  the button that was pressed or released; 1 for the first button, 2 for the second button, and 3 for the third button, etc.

### stateMask

    public int stateMask

  the state of the keyboard modifier keys at the time the event was generated

### x

    public int x

  the widget-relative, x coordinate of the pointer at the time the mouse button was pressed or released

### y

    public int y

  the widget-relative, y coordinate of the pointer at the time the mouse button was pressed or released

Constructor Detail

### MouseEvent

    public MouseEvent(Event e)

  Constructs a new instance of this class based on the information in the given untyped event.

Parameters:
  `e` - the untyped event containing the information

Method Detail

### toString

    public String toString()

  Returns a string containing a concise, human-readable description of the receiver.

  Overrides:
    `toString` in class `TypedEvent`
  Returns:
    a string representation of the event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.